View Issue Details

IDProjectCategoryView StatusLast Update
0003212SymmetricDSNew Featurepublic2017-10-06 07:51
ReporterchensonAssigned Tokstojanovska 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.30 
Target Version3.8.30Fixed in Version3.8.30 
Summary0003212: Add NuoDB Dialect
DescriptionAdd NuoDB Dialect
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 1d782013

2017-07-31 12:26:37

chenson42

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-assemble/common.gradle Diff File
add - symmetric-assemble/src/.DS_Store Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/JdbcSymmetricDialectFactory.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbSymmetricDialect.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Database.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseNamesConstants.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDatabasePlatform.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlReader.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File

SymmetricDS: 3.8 a33e02d3

2017-07-31 12:54:22

chenson42

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/SimpleIntegrationTest.java Diff File

SymmetricDS: 3.8 6c549227

2017-07-31 15:00:17

chenson42

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ModelComparator.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDdlBuilder.java Diff File

SymmetricDS: 3.8 f056eed1

2017-07-31 15:51:36

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ContextService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlReader.java Diff File

SymmetricDS: 3.8 06cd2225

2017-07-31 17:28:50

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlReader.java Diff File

SymmetricDS: 3.8 daf2e3d2

2017-08-03 14:01:53

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbTriggerTemplate.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataExtractorServiceTest.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/WildcardTest.java Diff File

SymmetricDS: 3.8 90b13838

2017-08-07 11:05:26

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractRouterServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractTriggerRouterServiceTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlReader.java Diff File
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File

SymmetricDS: 3.8 b2c547f9

2017-08-07 11:29:22

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File

SymmetricDS: 3.8 358b2ad6

2017-08-08 12:39:44

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect, cleanup, update db-test.properties
0003212
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbSymmetricDialect.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlBuilder.java Diff File
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File

SymmetricDS: 3.8 e0f4a75d

2017-08-23 08:00:22

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbTriggerTemplate.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractRouterServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractTriggerRouterServiceTest.java Diff File

SymmetricDS: 3.8 2920b5a3

2017-08-23 10:03:54

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbSymmetricDialect.java Diff File

SymmetricDS: 3.8 8fef64ba

2017-08-25 14:00:07

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/nuodb/NuoDbTriggerTemplate.java Diff File

SymmetricDS: 3.8 09d33a2c

2017-08-28 08:30:06

klementinastojanovska

Details Diff
0003212: Add NuoDB Dialect
0003212
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/nuodb/NuoDbDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2017-07-31 12:26 chenson New Issue
2017-07-31 12:26 chenson Status new => assigned
2017-07-31 12:26 chenson Assigned To => kstojanovska
2017-07-31 14:00 chenson42 Changeset attached => SymmetricDS 3.8 a33e02d3
2017-07-31 14:00 chenson42 Changeset attached => SymmetricDS 3.8 1d782013
2017-07-31 16:00 Changeset attached => SymmetricDS 3.8 f056eed1
2017-07-31 16:00 chenson42 Changeset attached => SymmetricDS 3.8 6c549227
2017-07-31 18:00 Changeset attached => SymmetricDS 3.8 06cd2225
2017-08-07 12:00 Changeset attached => SymmetricDS 3.8 b2c547f9
2017-08-07 12:00 Changeset attached => SymmetricDS 3.8 90b13838
2017-08-07 12:00 Changeset attached => SymmetricDS 3.8 daf2e3d2
2017-08-08 13:00 Changeset attached => SymmetricDS 3.8 358b2ad6
2017-08-14 08:18 chenson Product Version 3.8.29 => 3.8.30
2017-08-14 08:18 chenson Target Version 3.8.29 => 3.8.30
2017-08-23 12:00 Changeset attached => SymmetricDS 3.8 2920b5a3
2017-08-23 12:00 Changeset attached => SymmetricDS 3.8 e0f4a75d
2017-08-25 15:00 Changeset attached => SymmetricDS 3.8 8fef64ba
2017-08-28 09:00 Changeset attached => SymmetricDS 3.8 09d33a2c
2017-08-28 15:44 kstojanovska Status assigned => resolved
2017-08-28 15:44 kstojanovska Resolution open => fixed
2017-08-28 15:44 kstojanovska Fixed in Version => 3.8.30
2017-10-06 07:51 chenson Status resolved => closed